<solidify-empty-container (onEscape)="isEdit ? backToDetail() : backToList()"
                          [solidifyFocusFirstElement]="true"
                          solidifyShortCuts
>
  <solidify-button-toolbar-detail [backToListNavigate]="backToListNavigate()"
                                  (backToDetailChange)="backToDetail()"
                                  (deleteChange)="delete()"
                                  (editChange)="edit()"
                                  [currentModel]="currentObs | async"
                                  [formPresentational]="formPresentational"
                                  [mode]="isEdit ? 'edit' : 'detail'"
  >
  </solidify-button-toolbar-detail>

  <div [solidifySpinner]="isLoadingWithDependencyObs | async"
       class="wrapper"
  >
    <dlcm-admin-user-form #formPresentational
                          *ngIf="isReadyToBeDisplayedObs | async"
                          [currentUser]="currentUserObs | async"
                          [editAvailable]="editAvailable"
                          [model]="currentObs | async"
                          [readonly]="!isEdit"
                          (checkAvailableChange)="checkAvailable($event)"
                          (dirtyChange)="updateCanDeactivate($event)"
                          (editChange)="edit()"
                          (navigate)="navigate($event)"
                          (submitChange)="update($event)"
    ></dlcm-admin-user-form>
  </div>
</solidify-empty-container>
